import { Component } from 'react';
import './review.css';

export class ReviewContainer extends Component {
  constructor(props) {
    super(props);
    this.state = {
      rating: 0,
      comment: '',
      showComment: false,
    };
  }

  handleClick(e) {
    this.setState({
      showComment: !this.state.showComment,
    });
  }

  handleChange(e) {
    this.setState({
      rating: e.target.value,
    });
  }

  handleCommentChange(e) {
    this.setState({
      comment: e.target.value,
    });
  }

  render() {
    return (
      <div className="review">
        <div className="rating">
          <div className="star-rating">
            <div className="star" />
            <div className="star" />
            <div className="star" />
            <div className="star" />
          </div>
        </div>
        <div className="comment">
          <textarea
            className="comment-input"
            value={this.state.comment}
            onChange={this.handleCommentChange.bind(this)}
          />
          <div className="comment-button">
            <button onClick={this.handleClick.bind(this)}>
              Comment
            </button>
          </div>
        </div>
      </div>
    );
  }
}