import { Component } from 'react';
import Dropzone from 'react-dropzone';
import './upload.css';

export class UploadContainer extends Component {
  constructor(props) {
    super(props);
    this.state = {
      files: [],
      msg: ""
    };
  }

  handleChange = files => {
    console.log(files);
    this.setState({ files });
  }

  render() {
    return (
      <div className="upload-container">
        <div className="banner">
          <div className="sdu">
            <img src="" className="sdu-logo" alt="logo" />
            <div className="sdu-name">山东大学</div>
          </div>
          <div className="user">
            <img src="" className="user-avatar" alt="avatar" />
            <div className="user-name"></div>
          </div>
        </div>
        <div className="content">
          <div className="message-box">
            <textarea
              className="message-box-textarea"
              placeholder="留下您的寄语"
              value={this.state.msg}
              onChange={e => this.setState({ msg: e.target.value })}
            />
          </div>
          <div className="upload-box">
            <Dropzone
              onDropAccepted={this.handleChange}
              multiple={true}
              accept="image/*"
            >
              {({ getRootProps, getInputProps, isDragActive }) => (
                <div {...getRootProps()} className="upload-area">
                  <input {...getInputProps()} />
                  <p className="upload-area-text">拖拽</p>
                </div>
              )}
            </Dropzone>
          </div>
          <button
            className="btn btn-primary btn-upload"
            onClick={this.handleUpload}
          >提交</button>
        </div>
      </div>
    );
  }
}